# Exposing a MLflow model[¶](https://doc.dataiku.com/dss/latest/apinode/endpoint-mlflow.html#exposing-a-mlflow-model "Permalink to this headline")

Note

See Exposing a Visual Model to learn about exposing a visual model. Exposing a MLflow model relies on the same basis as a virtual model.

## Deploying the model[¶](https://doc.dataiku.com/dss/latest/apinode/endpoint-mlflow.html#deploying-the-model "Permalink to this headline")

A MLflow model can be deployed using the API, as described in Importing MLflow models. It can also be deployed from an Experiment Tracking run. See Deploying MLflow models for more information.

## Exposing the model[¶](https://doc.dataiku.com/dss/latest/apinode/endpoint-mlflow.html#exposing-the-model "Permalink to this headline")

Once deployed, a MLflow model can be exposed nearly like a visual model. Even so, the *MLflow Model output* is to be set in the endpoint settings. It can be either *raw data* or *restructured*. The first outputs directly what the MLflow model outputs while the second makes DSS try to restructure it (disable this in case of compatibility issues).

For example, a *SKLearn binary classification* typically outputs a prediction probability. *Restructure* enriches it to a prediction and probabilities for both label.

See Using MLflow models in DSS.
