# Georouting and isochrones[¶](https://doc.dataiku.com/dss/latest/geographic/georouting.html#georouting-and-isochrones "Permalink to this headline")

* Isochrones computation

* Route computation

* Georouting is the process of computing an itinerary with time and distance between two geopoints (driving/walking/…)

* Isochrones are polygons around a geopoint that give areas reachable within a certain distance, taking into account itinerary and mean of transportation

* Reverse geocoding is the process geographic coordinates into administrative information (country, region, city, …)

It should be noted that georouting and isochrones computation are always best-effort activities. It is not always possible to perform either of these activities, data may be incomplete depending on locations. Dataiku is not able to provide any guarantee as to the completeness of correctness of any geocoding-related data.

Note

This capability is provided by the “Geo Router” plugin, which you need to install. Please see Installing plugins.

This plugin is Not supported

The Geo Router plugin uses an online routing service provided by Dataiku. Your DSS instance needs to have outgoing Internet access in order to use this capability.

## Isochrones computation[¶](https://doc.dataiku.com/dss/latest/geographic/georouting.html#isochrones-computation "Permalink to this headline")

You need to have a dataset with a geopoint column. Select your dataset, and, from the right panel, select Geo Router. This creates a recipe.

You can then select the geopoint column, the travel time, the transport mode (car, bicycle, walking).

The recipe outputs the dataset with an additional geometry column (in MULTIPOLYGON format) representing the isochrone, which you can then display using the Geometry Map chart.

## Route computation[¶](https://doc.dataiku.com/dss/latest/geographic/georouting.html#route-computation "Permalink to this headline")

You need to have a dataset with two geopoint columns. Select your dataset, and, from the right panel, select Geo Router. This creates a recipe.

You can then select the starting and destination geopoint columns and the transport mode (car, bicycle, walking).

The recipe outputs the dataset with:

* a column containing the travel time

* a column containing the travel distance

* a column containing the itinerary as a geometry column (LINESTRING format), which you can then display using the Geometry Map chart.
