# MLOps[¶](https://doc.dataiku.com/dss/latest/mlops/index.html#mlops "Permalink to this headline")

Dataiku offers numerous capabilities for implementing a complete MLOps practice:

* The Flow offers full lineage and traceability on the design on models

* Deploying projects to production with full CI/CD capabilities

* Visual Machine Learning

* Real-time REST API scoring server with versioning

* Exporting models to Python, Java, MLflow and PMML for scoring outside of DSS

* Comparing models, models versions and behavior of models over time

* Performing advanced drift analysis

This section focuses on the following MLOps-specific capabilities:

* Curating features in a Feature Store

* Evaluating and comparing models and model versions

* Analyzing drift

* Importing models from external Machine Learning systems

* Tracking code experiments

The Dataiku Knowledge Base and Academy include a complete course on MLOps with an optional certification.

* Feature Store

* Models evaluations

* Model Comparisons

* Drift analysis

* MLflow Models

* Experiment Tracking
