# Image Classification with Code / Deep Learning for Images[¶](https://knowledge.dataiku.com/latest/courses/advanced-analytics/image-classification-code/introduction.html#image-classification-with-code-deep-learning-for-images "Permalink to this headline")

Deep learning models are powerful tools for image classification. In Dataiku you can build a convolutional neural network model for image classification.

However, such models can be difficult and expensive to create from scratch, especially if you don’t have a large number of images for training the model. Dataiku provides a plugin that supplies a number of pre-trained deep learning models that you can use to classify images. You can also retrain a model to specialize it on a particular set of images, a process known as transfer learning.

## Objectives[¶](https://knowledge.dataiku.com/latest/courses/advanced-analytics/image-classification-code/introduction.html#objectives "Permalink to this headline")

We’ll walk through how to build a convolutional network for image classification, using Keras code in Dataiku’s Visual Machine Learning.

We’ll then describe how to perform transfer learning, retraining a model on a particular set of images.

## Prerequisites[¶](https://knowledge.dataiku.com/latest/courses/advanced-analytics/image-classification-code/introduction.html#prerequisites "Permalink to this headline")

You should have some experience with Deep Learning with Code in Dataiku.

You should have some familiarity with Keras.

You will need access to a code environment with the necessary libraries. When creating a code environment, you can add sets of packages on the **Packages to Install** tab. Choose the Visual Deep Learning package set that corresponds to the hardware you’re running on.

In the Transfer Learning example, you will need the Deep Learning for images plugin. Install this plugin from the store.
