# Propagate Schema Changes[¶](https://knowledge.dataiku.com/latest/courses/advanced-data-prep/data-pipelines/propagate-schema-changes.html#propagate-schema-changes "Permalink to this headline")

On the previous step, we updated the schema of the *customers\_orders\_joined* dataset. Although unbuilt, we can see the new columns added from the Pivot output in the Schema menu of the sidebar.

The schema of *customers\_labelled*, however, remains unchanged. Can we fix it by rebuilding the dataset? Maybe a forced recursive rebuild will do the trick? Although it won’t succeed, let’s try this.

* From the Flow, right click on the *customers\_labelled* dataset.

* Click on **Build… > Recursive > Forced recursive rebuild** (Smart reconstruction has the same outcome in this case).

The dataset will build successfully, but the new columns are still missing. *Separate from building the dataset*, we need to propagate schema changes downstream.

We could of course open the Prepare recipe and run it (accepting the schema change when prompted), but an alternative for larger flows is to use the schema propagation tool.

* Right-click on *customers\_orders\_joined*, and select **Propagate schema across Flow from here**.

This opens the Schema propagation dialog in the lower left corner of the Flow.

* Click **Start**. The tool determines that the schema for *customers\_labelled* is incompatible.

* Click on the Prepare recipe (now colored red), and select **Review Changes**.

* Then click **Update Schema** to add the five new columns from the Pivot recipe to the output schema.

* You can close the schema propagation tool.
