# FAQ: Why can’t I drag and drop a folder into Dataiku?[¶](https://knowledge.dataiku.com/latest/kb/governance/Why-can-t-I-drag-and-drop-a-folder-into-DSS.html#faq-why-cant-i-drag-and-drop-a-folder-into-dataiku "Permalink to this headline")

To import a collection of images or other file types/formats not supported natively by Dataiku, you must first create a **Managed Folder** in your Flow to serve as a repository for these files.

At the top of your Flow or from the Datasets page, click on the **+Dataset** menu and select **Folder**. Name your folder, and select a filesystem-like location to store into. For example, you could select filesystem folders, Amazon S3, or HDFS.

Name your folder, and select a filesystem-like location to store into. For example, you could select filesystem folders, Amazon S3, or HDFS.

Tip

If a connection allows managed folders, it is strongly recommended to set up naming rules for new datasets/folders, and default path/bucket if relevant, to prevent managed folders and datasets of different projects from overlapping and creating potential conflicts.

Once created, you can drag and drop or upload files into this folder, or create additional subfolders for organization purposes. Note that this is not like Windows, where you can drag and drop files directly onto the folder icon in your Flow; you must first open the Folder before dragging and dropping files into it.

Managed folders are primarily intended to be used as input or output for code recipes (Python, R, Scala), though some visual recipes dealing with unstructured data also use managed folders as output (Export, Download). Furthermore, you can upload and download files from the managed folder using the Public REST API.

Note

You can find more information about creating and using managed folders in our product documentation.

## What’s Next?[¶](https://knowledge.dataiku.com/latest/kb/governance/Why-can-t-I-drag-and-drop-a-folder-into-DSS.html#whats-next "Permalink to this headline")

To see a project use case which uses managed folders, visit this tutorial with step-by-step instructions, or follow along with the final completed project in the Dataiku gallery.
